Subject: bug#10434: FAIL: depmod.tap 50 - tru64 [long VPATH] make & remake

From: Peter Rosin <[email-masked]>
Date: Thu, 02 Feb 2012 23:41:33 +0100

Stefano Lattarini skrev 2012-02-02 22:45:
> Reference:
>   <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10434>
> 
> OK, the attached patch fixes the two spurious failures of GCC forced into
> Tru64 mode.  About time I'd say.
> 
> But I'm not sure whether we should apply this without first testing it
> on a real Tru64 compiler, lest we cause a real regression just to fix a
> spurious failure.  Thoughts?

I just had a look at that test, and it seems like a very crappy test
to me.  I had some failures with cl, but figured it was the same as
these Tru64 failures that I had seen flying past, and put it all on
the back burner.  But the test is destined to cause troubles if IIUC.

It's just dead wrong to assume that feeding -M or -xM to the compiler
(or whatever other random stuff depcomp might do) and not get an error
is the same as dependencies magically appearing.  Or do I read the
test wrong?  Please tell me that I do!

gcc needs to be required, or something, or we will suffer from FAILs
with every other odd compiler (that doesn't deserve them).

Cheers,
Peter